> ## Documentation Index
> Fetch the complete documentation index at: https://ton.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Block Transactions

> Get transactions of the given block.



## OpenAPI

````yaml get /getBlockTransactions
openapi: 3.1.0
info:
  title: TON HTTP API
  description: >

    This API enables HTTP access to TON blockchain - getting accounts and
    wallets information, looking up blocks and transactions, sending messages to
    the blockchain, calling get methods of smart contracts, and more.


    In addition to REST API, all methods are available through [JSON-RPC
    endpoint](#json%20rpc)  with `method` equal to method name and `params`
    passed as a dictionary.


    The response contains a JSON object, which always has a boolean field `ok`
    and either `error` or `result`. If `ok` equals true, the request was
    successful and the result of the query can be found in the `result` field.
    In case of an unsuccessful request, `ok` equals false and the error is
    explained in the `error`.


    API Key should be sent either as `api_key` query parameter or `X-API-Key`
    header.
  version: 2.0.0
servers:
  - url: https://toncenter.com/api/v2
  - url: https://testnet.toncenter.com/api/v2
security: []
tags:
  - name: accounts
    description: Information about accounts.
  - name: blocks
    description: Information about blocks.
  - name: transactions
    description: Fetching and locating transactions.
  - name: get config
    description: Get blockchain config
  - name: run method
    description: Run get method of smart contract.
  - name: send
    description: Send data to blockchain.
  - name: json rpc
    description: JSON-RPC endpoint.
paths:
  /getBlockTransactions:
    get:
      tags:
        - blocks
        - transactions
      summary: Get Block Transactions
      description: Get transactions of the given block.
      operationId: get_block_transactions_getBlockTransactions_get
      parameters:
        - required: true
          schema:
            type: integer
            title: Workchain
          name: workchain
          in: query
        - required: true
          schema:
            type: integer
            title: Shard
          name: shard
          in: query
        - required: true
          schema:
            type: integer
            title: Seqno
          name: seqno
          in: query
        - required: false
          schema:
            type: string
            title: Root Hash
          name: root_hash
          in: query
        - required: false
          schema:
            type: string
            title: File Hash
          name: file_hash
          in: query
        - required: false
          schema:
            type: integer
            title: After Lt
          name: after_lt
          in: query
        - required: false
          schema:
            type: string
            title: After Hash
          name: after_hash
          in: query
        - required: false
          schema:
            type: integer
            title: Count
            default: 40
          name: count
          in: query
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetBlockTransactionsResponse'
              examples:
                sample:
                  summary: Block transactions example (truncated)
                  value:
                    ok: true
                    result:
                      '@type': blocks.transactions
                      id:
                        '@type': ton.blockIdExt
                        workchain: -1
                        shard: '-9223372036854775808'
                        seqno: 2
                        root_hash: 4bzgnFItQjTVEMYL9c/VHshMJttG9gDIXCzsMQdjKSU=
                        file_hash: 2gOSTo8fuMWgA18snVD1RUtTfpU5LvCQWOOQ16Z7w5Y=
                      req_count: 40
                      incomplete: false
                      transactions:
                        - '@type': blocks.shortTxId
                          mode: 135
                          account: '-1:0000000000000000000000000000000000000000000000000000000000000000'
                          lt: '2000001'
                          hash: LdAqBYfzsG3XSu0fYdYNXqkWCGZ495u/9KGf7BUQTxY=
                      '@extra': 1755814400.2039871:0:0.4571250134343233
        '422':
          description: Validation Error
        '504':
          description: Lite Server Timeout
      security: []
components:
  schemas:
    GetBlockTransactionsResponse:
      allOf:
        - $ref: '#/components/schemas/TonResponse'
        - type: object
          properties:
            result:
              $ref: '#/components/schemas/BlocksTransactions'
              description: Transactions included in the specified block.
    TonResponse:
      properties:
        ok:
          type: boolean
          title: Ok
        result:
          anyOf:
            - type: string
            - items: {}
              type: array
            - type: object
          title: Result
        error:
          type: string
          title: Error
        code:
          type: integer
          title: Code
      type: object
      required:
        - ok
      title: TonResponse
    BlocksTransactions:
      type: object
      description: Transactions included in a block.
      properties:
        '@type':
          type: string
          example: blocks.transactions
        id:
          $ref: '#/components/schemas/TonBlockIdExt'
          description: Identifier of the block containing the transactions.
        req_count:
          type: integer
          description: Number of requested transactions.
        incomplete:
          type: boolean
          description: Indicates if the transaction list is incomplete.
        transactions:
          type: array
          description: List of short transaction identifiers.
          items:
            $ref: '#/components/schemas/ShortTxId'
        '@extra':
          type: string
          description: Extra metadata for the response.
      required:
        - id
        - transactions
    TonBlockIdExt:
      type: object
      properties:
        '@type':
          type: string
          example: ton.blockIdExt
        workchain:
          type: integer
        shard:
          type: string
          description: 64-bit signed integer as string
        seqno:
          type: integer
        root_hash:
          type: string
        file_hash:
          type: string
      required:
        - workchain
        - shard
        - seqno
        - root_hash
        - file_hash
      description: Extended block identifier.
    ShortTxId:
      type: object
      description: Short transaction identifier.
      properties:
        '@type':
          type: string
          example: blocks.shortTxId
        mode:
          type: integer
          description: Transaction mode flags.
        account:
          type: string
          description: Account address of the transaction.
        lt:
          type: string
          description: Logical time of the transaction.
        hash:
          type: string
          description: Base64 hash of the transaction.
      required:
        - account
        - lt
        - hash

````